# Uses of Interface
java.security.KeyStore.ProtectionParameter

Packages that use KeyStore.ProtectionParameter
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of KeyStore.ProtectionParameter in java.security

Classes in java.security that implement KeyStore.ProtectionParameter
Modifier and Type
Class
Description
`static class`
`KeyStore.CallbackHandlerProtection`
A `ProtectionParameter` encapsulating a CallbackHandler.
`static class`
`KeyStore.PasswordProtection`
A password-based implementation of `ProtectionParameter`.
Methods in java.security that return KeyStore.ProtectionParameter
Modifier and Type
Method
Description
`KeyStore.ProtectionParameter`
DomainLoadStoreParameter.`getProtectionParameter()`
Gets the keystore protection parameters for this domain.
`abstract KeyStore.ProtectionParameter`
KeyStore.Builder.`getProtectionParameter(String alias)`
Returns the `ProtectionParameter` that should be used to obtain the `Entry` with the given alias.
`KeyStore.ProtectionParameter`
KeyStore.LoadStoreParameter.`getProtectionParameter()`
Gets the parameter used to protect keystore data.
Methods in java.security that return types with arguments of type KeyStore.ProtectionParameter
Modifier and Type
Method
Description
`Map<String, KeyStore.ProtectionParameter>`
DomainLoadStoreParameter.`getProtectionParams()`
Gets the keystore protection parameters for keystores in this domain.
Methods in java.security with parameters of type KeyStore.ProtectionParameter
Modifier and Type
Method
Description
`KeyStore.Entry`
KeyStoreSpi.`engineGetEntry(String alias, KeyStore.ProtectionParameter protParam)`
Gets a `KeyStore.Entry` for the specified alias with the specified protection parameter.
`void`
KeyStoreSpi.`engineSetEntry(String alias, KeyStore.Entry entry, KeyStore.ProtectionParameter protParam)`
Saves a `KeyStore.Entry` under the specified alias.
`final KeyStore.Entry`
KeyStore.`getEntry(String alias, KeyStore.ProtectionParameter protParam)`
Gets a keystore `Entry` for the specified alias with the specified protection parameter.
`static KeyStore.Builder`
KeyStore.Builder.`newInstance(File file, KeyStore.ProtectionParameter protection)`
Returns a new `Builder` object.
`static KeyStore.Builder`
KeyStore.Builder.`newInstance(String type, Provider provider, File file, KeyStore.ProtectionParameter protection)`
Returns a new `Builder` object.
`static KeyStore.Builder`
KeyStore.Builder.`newInstance(String type, Provider provider, KeyStore.ProtectionParameter protection)`
Returns a new `Builder` object.
`static KeyStore.Builder`
KeyStore.Builder.`newInstance(KeyStore keyStore, KeyStore.ProtectionParameter protectionParameter)`
Returns a new `Builder` that encapsulates the given `KeyStore`.
`final void`
KeyStore.`setEntry(String alias, KeyStore.Entry entry, KeyStore.ProtectionParameter protParam)`
Saves a keystore `Entry` under the specified alias.
Constructor parameters in java.security with type arguments of type KeyStore.ProtectionParameter
Modifier
Constructor
Description
``
`DomainLoadStoreParameter(URI configuration, Map<String, KeyStore.ProtectionParameter> protectionParams)`
Constructs a `DomainLoadStoreParameter` for a keystore domain with the parameters used to protect keystore data.